Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.pmmMeasures
Class PMMExplainingAwayResidual

    java.lang.Object
      de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.Measure
          de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.pmmMeasures.PMMExplainingAwayResidual

All Implemented Interfaces:
  InstantiableFromParameterSet, Storable, Cloneable

    public class PMMExplainingAwayResidual

extends Measure

Class for the network structure of a `BayesianNetworkScoringFunction` that is a permuted Markov model based on the explaining away residual.

Author:
  Jan Grau

Nested Class Summary
`static class` | `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` Class for the parameters of a `PMMExplainingAwayResidual` structure `Measure`.

Constructor Summary
`PMMExplainingAwayResidual(byte order, double[] ess)` Creates a new `PMMExplainingAwayResidual` of order `order`.
`PMMExplainingAwayResidual(PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet parameters)` Creates a new `PMMExplainingAwayResidual` from the corresponding `InstanceParameterSet` `parameters/code>.`
`PMMExplainingAwayResidual(StringBuffer buf)` The standard constructor for the interface `Storable`.

Method Summary
`PMMExplainingAwayResidual` | `clone()`
`InstanceParameterSet` | `getCurrentParameterSet()` Returns the `InstanceParameterSet` that has been used to instantiate the current instance of the implementing class.
`String` | `getInstanceName()` Returns the name of the `Measure` and possibly some additional information about the current instance.
`int[][]` | `getParents(Sample fg, Sample bg, double[] weightsFg, double[] weightsBg, int length)` Returns the optimal parents for the given data and weights.
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.Measure
`fillTensor, fillTensor, getCMI, getCMI, getEAR, getEAR, getMI, getMI, getStatistics, getStatisticsOrderTwo, isShiftable, sum, toParents, union`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PMMExplainingAwayResidual

    public PMMExplainingAwayResidual(StringBuffer buf)
                              throws NonParsableException

  The standard constructor for the interface `Storable`. Recreates a `PMMExplainingAwayResidual` from its XML representation as returned by `toXML()`.

  Parameters:
    `buf` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML code could not be parsed

### PMMExplainingAwayResidual

    public PMMExplainingAwayResidual(byte order,
                                     double[] ess)
                              throws Exception

  Creates a new `PMMExplainingAwayResidual` of order `order`.

  Parameters:
    `order` - the order, may be `1` or `2`
    `ess` - the equivalent sample sizes of both classes
  Throws:
    `Exception` - if the order is not `1` or `2`

### PMMExplainingAwayResidual

    public PMMExplainingAwayResidual(PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet parameters)
                              throws Exception

  Creates a new `PMMExplainingAwayResidual` from the corresponding `InstanceParameterSet` `parameters/code>.

  Parameters:
    `parameters` - the corresponding parameters
  Throws:
    `Exception` - if the order is not `1` or `2`
  `

Method Detail

### clone

    public PMMExplainingAwayResidual clone()
                                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Measure`
  Throws:
    `CloneNotSupportedException`

### getInstanceName

    public String getInstanceName()

  Description copied from class: `Measure`
  Returns the name of the `Measure` and possibly some additional information about the current instance.

  Specified by:
    `getInstanceName` in class `Measure`
  Returns:
    the name of the `Measure`

### getParents

    public int[][] getParents(Sample fg,
                              Sample bg,
                              double[] weightsFg,
                              double[] weightsBg,
                              int length)
                       throws Exception

  Description copied from class: `Measure`
  Returns the optimal parents for the given data and weights. The returned array of parents `p` at each position `i` is build as follows:
  - `p[i][p.length - 1]` contains the index `i` itself
  - `p[i][p.length - 2]` contains the "most important" parent
  - ...
  - `p[i][0]` contains the "least important" parent

  Specified by:
    `getParents` in class `Measure`
  Parameters:
    `fg` - the data of the current (foreground) class
    `bg` - the data of the negative (background) class
    `weightsFg` - the weights for the sequences of `fg`
    `weightsBg` - the weights for the sequences of `bg`
    `length` - the length of the model, must be equal to the length of the sequences
  Returns:
    the the array `p` with the optimal parents
  Throws:
    `Exception` - if the lengths do not match or other problems concerning the data occur

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Returns:
    the XML representation

### getCurrentParameterSet

    public InstanceParameterSet getCurrentParameterSet()
                                                throws Exception

  Description copied from interface: `InstantiableFromParameterSet`
  Returns the `InstanceParameterSet` that has been used to instantiate the current instance of the implementing class. If the current instance was not created using an `InstanceParameterSet`, an equivalent `InstanceParameterSet` should be returned, so that an instance created using this `InstanceParameterSet` would be in principle equal to the current instance.

  Returns:
    the current `InstanceParameterSet`
  Throws:
    `Exception` - if the `InstanceParameterSet` could not be returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD